Subject: Re: msvc++ vs gcc
From: [email-masked] (root)

8 Nov 1997 04:57:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (John Mamer)
Cc: [email-masked]

> 
> Hi!
>   I haven't done anything like an exhaustive study, but I
> did just happen to have the opportunity to run one of my
> own programs using gcc and VC++.  The code was a linear
> optimization code, similar in it's general structure to
> sparse Gaussian elmination--lots of floating point, a
> little disc I/O, nothing fancy. I the VC++ compiled code to
> be about 30% faster than the gcc compiled version of the
> code.
> cheers
> john

I arrive at the same figure in my machine, using the whetstone benchmark.
Only Intel Corporation's compiler surpasses MSVC++ in raw compiler speed.
gcc runs at 30% *less* than MSVC, my system (lcc-win32) runs at 50-55% of
MSVC speed.

This means that in most applications, the difference between MSVC++ and gcc++
or lcc-win32 will be barely noticeable. Contrary to what many people think,
the compiler is not the only piece in the raw speed of an application.
Much more important than the compiler is the algorithm used, disk I/O
speed, etc etc.

In *many* applications, even in scientific ones, lcc-win32 even if it generates
code half as good as MSVC will compile an application that runs at the same final
speed because the influence of the compiler in that application is minimal.

As an example, I have compiled the symbolic mathematics system from the University 
of Grenoble 'gp' with lcc-win32, and it runs at the *same* speed that the
one compiled with MSVC with all optimizations on. (Well, *same* is wrong, the
times are 46 to 43.5 seconds ...)

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".